package com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory

import com.example.ellegadodepintia.exploradoresDePintia.model.Opcion
import com.example.ellegadodepintia.exploradoresDePintia.model.efecto.Efecto

class EventoCombate(
    override val descripcion: String,
    override val dificultad: Int,
    override val opciones: MutableList<Opcion>,
    override val imagen: Int, resistenciaMax: Int,
    override var finalizado: Boolean,
    var ataque: Int,
    val imagenAtaque : Int,
    val acciones: MutableList<Efecto>
) : Evento(descripcion, dificultad, opciones, imagen, resistenciaMax, resistenciaMax, finalizado)