package com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory

import com.example.ellegadodepintia.exploradoresDePintia.model.TipoEvento

object EventoFactorySelector {

    fun obtenerFactory(tipo: TipoEvento): EventoFactory {
        return when (tipo) {
            TipoEvento.Reliquia -> ReliquiaFactory()
            TipoEvento.Combate -> CombateFactory()
            TipoEvento.Tienda -> TiendaFactory()
            TipoEvento.Trampa -> TrampaFactory()
            TipoEvento.Riesgo -> RiesgoFactory()
        }
    }
}
