package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState

class EfectoExplorar() : Efecto(100) {
    override fun ejecutar(): String {
        if(GameState.jugador.atributos[Atributo.Investigacion]!!<1){
            return "No tienes suficientes puntos de investigación para explorar"
        }else{
            GameState.jugador.actualizarAtributo(Atributo.Investigacion, -1)
            if ((1..100).random() <= 50){
                GameState.eventoActual.actualizarFinalizado(true)
                return "Has encontrado un viejo mapa que muestra un camino para rodearlo. Has logrado escapar"
            }else{
                return "Has explorado cuidadosamente, pero por ahora no has encontrado nada útil para sortear el derrumbe."
            }
        }
    }
}